package com.zcloud.fire.check.api;

import com.alibaba.cola.dto.PageResponse;
import com.alibaba.cola.dto.SingleResponse;
import com.zcloud.fire.check.dto.*;
import com.zcloud.fire.check.dto.clientobject.*;

/**
 * web-client
 *
 * @Author zhaokai
 * @Date 2025-12-12 11:10:59
 */
public interface FireCheckRecordServiceI {
    PageResponse<FireCheckRecordCO> listPage(FireCheckRecordPageQry qry);

    SingleResponse<FireCheckRecordCO> add(FireCheckRecordAddCmd cmd);

    void edit(FireCheckRecordUpdateCmd cmd);

    void remove(Long id);

    void removeBatch(Long[] ids);

    PageResponse<FireBackCheckRecordCO> getCheckRecordList(FireBackCheckRecordPageQry qry);


    FireCheckRecordInfoCO getInfoById(Long id);

    FireCheckRecordCO saveCheckRecord(AppCheckRecordAddCmd appCheckRecordAddCmd);

    PageResponse<CorpCheckStatisticsCO> corpCheckRecordList(CorpStatisticsPageQry qry);

    PageResponse<FireCheckRecordCO> getCheckRecordPageH5(FireCheckRecordPagePointQry qry);

    PageResponse<FireCheckRecordInfoCO> getCheckRecordPageH5New(FireCheckRecordPagePointQry qry);
}

